![AxonSynthesis Logo](docs/source/BBP-Axon-Synthesis.jpg)

# Axon Synthesis

[![Version](https://img.shields.io/pypi/v/axon-synthesis)](https://github.com/BlueBrain/AxonSynthesis/releases)
[![Build status](https://github.com/BlueBrain/axon-synthesis/actions/workflows/run-tox.yml/badge.svg?branch=main)](https://github.com/BlueBrain/axon-synthesis/actions)
[![Codecov.io](https://codecov.io/github/BlueBrain/axon-synthesis/coverage.svg?branch=main)](https://codecov.io/github/BlueBrain/axon-synthesis?branch=main)
[![Code style: Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![License](https://img.shields.io/badge/License-Apache_2.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
[![Documentation status](https://readthedocs.org/projects/axon-synthesis/badge/?version=latest)](https://axon-synthesis.readthedocs.io/)
[![DOI](https://img.shields.io/badge/DOI-10.1101/2024.10.16.618695-blue)](https://doi.org/10.1101/2024.10.16.618695)


A package to synthesize artificial axons.

The main documentation, is available here: [https://axon-synthesis.readthedocs.io](https://axon-synthesis.readthedocs.io)


### Installation

It is recommended to install ``axon-synthesis`` using [pip](https://pip.pypa.io/en/stable/):

```bash
pip install axon-synthesis
```


### Examples

An example can be found in the ``examples`` directory.
This example contains a small input dataset and a ``run.sh`` script that will execute the code.
The inputs can be reviewed and modified for testing.


### Citation

When you use the ``axon-synthesis`` software or method for your research, we ask you to cite the
publication associated to this repository (use the ``Cite this repository`` button on the
[main page](https://github.com/BlueBrain/axon-synthesis) of the code).


### Funding & Acknowledgment

The development of this software was supported by funding to the Blue Brain Project, a research
center of the École polytechnique fédérale de Lausanne (EPFL), from the Swiss government’s ETH
Board of the Swiss Federal Institutes of Technology.

For license and authors, see `LICENSE.txt` and `AUTHORS.md` respectively.

Copyright © 2023-2024 Blue Brain Project, EPFL
